Subject: Re: bug#65136: mktexpk cannot create bitmap font for umvs

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 07 Aug 2023 23:10:21 +0200

Hello,

"Dr. Arne Babenhauserheide" <[email-masked]> writes:

> I restarted my system after a few weeks of uptime and now my LaTeX files
> no longer compile: I get the error
>
> kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+437/600 --dpi 1037 umvs
> mktexpk: don't know how to create bitmap font for umvs.
> mktexpk: perhaps umvs is missing from the map file.
>
> However it does work when I call
>
> guix shell texlive -- pdflatex -shell-escape file.tex
>
> My manifest contains as tex-relevant packages:
>
>   "font-tex-gyre"
>
>   "texinfo"
>   "texlive"
>   "texlive-ae"
>   "texlive-amsfonts"
>   "texlive-bin"
>   "texlive-charter"
>   "texlive-cm-super"
>   "texlive-fontinst"
>   "texlive-ec"
>   "texlive-iwona"
>   "texlive-latex-fonts"
>   "texlive-rsfs"
>   "texlive-inconsolata"
>   "texlive-mdwtools"
>   "texlive-ms"
>   "texlive-polyglossia"
>   "texlive-titlesec"
>   "texlive-lh"
>   "texlive-metafont"
>   "texlive-mflogo"
>   "texlive-mflogo-font"
>   "texlive-palatino"
>   "texlive-hyphen-complete"
>   "texlive-times"
>   "texlive-txfonts"
>   "texlive-zapfding"

This setup is not correct, as you're mixing monolithic package
(`texlive') and an incomplete modular system (`texlive-*').

According to the manual, if you want to use modular TeX Live, you need
to provide at least a scheme or a collection, such as
`texlive-scheme-basic'.  You should also remove `texlive'.

Does it work if you update your manifest?

Regards,
-- 
Nicolas Goaziou